Subject: Re: [PATCH 5/5] ethernet: Use pci_(request|release)_mem_regions

From: Jeff Kirsher <[email-masked]>
Date: Wed, 01 Jun 2016 07:56:45 -0700

On Wed, 2016-06-01 at 10:51 +0200, Johannes Thumshirn wrote:
> On Wed, Jun 01, 2016 at 12:59:56AM -0700, Christoph Hellwig wrote:
> > On Tue, May 31, 2016 at 02:05:13PM +0200, Johannes Thumshirn wrote:
> > > Now that we do have pci_request_mem_regions() and
> pci_release_mem_regions() at
> > > hand, use it in the ethernet drivers.
> > 
> > This should probably be one patch per driver.
> 
> I though if I do one patch per subsystem it'll be less a hassle for the
> individual maintainers, but if the netdev people want it as split up,
> I'll be
> doing it of cause.

Since almost all the changes are to Intel wired LAN drivers, if you just
split off the atheros change into a separate patch, I would be happy.  Then
you could keep just one patch to change all the Intel drivers.